

runFCIS_Installer()
{
    
	if [ -e "$FCISD_PATH" ]; then
		echo "Updating Internet Services executable files under "$SERVICE_FOLDER" ... "
	else
		echo "Installing Internet Services executable files under "$SERVICE_FOLDER" ... "
		#update_sudoersFile
	fi
	if [ ! -e "$SERVICE_FOLDER" ]; then mkdir -p "$SERVICE_FOLDER"; fi
	
	curBuild=`get_build "$FCISD_PATH"`
	if [ "$curBuild" = "" ]; then 
#	if ! [ "$curBuild" -ge 0 ]; then 
		curBuild=$UNKNOWN_VER;
	fi
	curBackup="$FCISD_NAME-$curBuild"
	curRezBackup="$FCISD_NAME-$curBuild.rez"
#	echo if "$curBuild" == "$FCISD_BUILD"
	if [ -e "$FCISD_PATH" ]; then
		if [ -e "$SERVICE_FOLDER/$curBackup" ]; then
			echo "  Backup of current $FCISD_NAME ($curBackup) already exists"
		else
			echo "  Renaming current '$FCISD_NAME' to '$curBackup'"
			sudo mv -f "$FCISD_PATH" "$SERVICE_FOLDER/$curBackup"
		fi
	fi
	if [ -e "$FCISDREZ_PATH" ]; then
		if [ -e "$SERVICE_FOLDER/$curRezBackup" ]; then
			echo "  Backup of current $FCISD_NAME.rez ($curRezBackup) already exists"
		else
			echo "  Renaming current '$FCISD_NAME.rez' to '$curRezBackup'"
			sudo mv -f "$FCISDREZ_PATH" "$SERVICE_FOLDER/$curRezBackup"
		fi
	fi
	tar xzf "$FCISD_TAR" -C "$SERVICE_FOLDER"
	tar xzf "$FCISX_TAR" -C "$SERVICE_FOLDER"
	
	chmod ug+x "$SERVICE_FOLDER/fcisctl"
	if [ ! -e "$CTL_FOLDER" ]; then sudo mkdir -p "$CTL_FOLDER"; fi
	sudo mv "$SERVICE_FOLDER/fcisctl" "$CTL_FOLDER"
	
	# Install the fresh-install only files to the common folders.
	if [ ! -f "$SERVICE_FOLDER/$INETFC_FILE" ] ; then
		sudo cp "$SERVICE_FOLDER/$TEMP_INST/$INETFC_FILE" "$SERVICE_FOLDER"
	fi
	
	# If the .cf file exists, save it, then unconditionally replace it.
	if [ -f "$SERVICE_FOLDER/$INETCF_FILE" ] ; then
		# Overwrite the old saved file with the current one if present.
		sudo mv -f "$SERVICE_FOLDER/$INETCF_FILE" "$SERVICE_FOLDER/$INETCF_PREV"
	fi
	sudo cp "$SERVICE_FOLDER/$TEMP_INST/$INETCF_FILE" "$SERVICE_FOLDER"
	sudo rm -rf "$SERVICE_FOLDER/$TEMP_INST"
}

